<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Commentaire extends Model
{
    /**
     * The attribute of database connection bound to the model.
     *
     * @var array
     */
    protected $connection = 'mysql';

    /**
     * Function to link database connection to constructor of model
     * Avec cette fonctionn, on instancie un objet dans une base de donnée qu'on peut utiliser
     *
     * @var array
     */
    public function __construct($connection = 'mysql')
    {
        $this->connection = $connection;
    }

    public function sujet()
    {
        return $this->belongsTo(Sujet::class);
    }

    public function commentaire()
    {
        return $this->belongsTo(Commentaire::class);
    }

    public function commentaires()
    {
        return $this->hasMany(Commentaire::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class,'user_matricule','matricule');
    }

    public function images()
    {
        return $this->hasMany(Image::class);
    }
}
